#Module-Specific definitions
%define mod_name mod_auth_memcookie
%define mod_conf A53_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Apache Cookie Authentification Module
Name:		apache-%{mod_name}
Version:	1.0.2
Release:	%mkrel 7
Group:		System/Servers
License:	Apache License
URL:		http://authmemcookie.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/authmemcookie/mod_authmemcookie_v%{version}.tar.gz
Source1:	%{mod_conf}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
BuildRequires:	libmemcache-devel
BuildRequires:	libevent-devel
Requires:	memcached
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
"Auth MemCookie" are an Apache v2 authentification and authorization modules
are based on "cookie" authentification mecanism. The module don't make
authentification by it self, but verify if authentification "the cookie" are
valid for each url protected by the module. The module validate also if the
"authentificated user" have authorisation to acces url. Authentification are
made externaly by an authentification form page and all authentification
information nessary to the module a stored in memcached indentified by the
cookie value "authentification session id" by this login page.

%prep

%setup -q -n mod_authmemcookie_v%{version}

cp %{SOURCE1} %{mod_conf}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%{_sbindir}/apxs -c mod_auth_memcookie.c -lmemcache

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/* samples/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}


%changelog
* Tue May 24 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-7mdv2011.0
+ Revision: 678261
- mass rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-6mdv2011.0
+ Revision: 587919
- rebuild

* Mon Mar 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-5mdv2010.1
+ Revision: 516045
- rebuilt for apache-2.2.15

* Sat Aug 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdv2010.0
+ Revision: 406532
- rebuild

* Mon Jul 14 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-3mdv2009.0
+ Revision: 234658
- rebuild

* Thu Jun 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2mdv2009.0
+ Revision: 215531
- fix rebuild

* Fri May 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 205092
- 1.0.2

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-4mdv2008.1
+ Revision: 166585
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-4mdv2008.0
+ Revision: 82519
- rebuild

* Sat Aug 18 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdv2008.0
+ Revision: 65621
- rebuild


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2007.1
+ Revision: 140609
- rebuild

* Mon Feb 12 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2007.1
+ Revision: 118918
- fix build
- 1.0.1

* Sun Nov 12 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdv2007.0
+ Revision: 83410
- rebuild
- Import apache-mod_auth_memcookie

* Mon Aug 07 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdv2007.0
- rebuild

* Sun Mar 19 2006 Oden Eriksson <oeriksson@mandriva.com> 
- initial Mandriva package

